using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GetCertificate
{
    class Program
    {
        static void Main(string[] args)
        {
            //Przykad wywoania metody getCertificate, umoliwiajcej wygenerowanie potwierdzenia nadania lub odbioru przesyki
            try
            {
                string sLogin = ""; // Login konta w Postivo.pl
                string sApiPass = ""; // Haso dostpu do konta przez API

                // Identyfikator przesyki
                String sDispatchId = "S0000002Z";

                // Rodzaj potwierdzenia (1 - potwierdzenie nadania przesyki, 2 - potwierdzenie odbioru przesyki)
                int iCertificateType = 1;

                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywoanie metody getCertificate z przekazaniem wszystkich parametrw
                Postivo.CertificateReturnObject output = serwis.getCertificate(sLogin, sApiPass, sDispatchId, iCertificateType);

                // Przykad obsugi danych wyjciowych:
                if (!output.cert_available)
                {
                    Console.WriteLine("Status dania: " + output.result);
                    Console.WriteLine("Kod statusu dania: " + output.result_code);
                    Console.WriteLine("Opis statusu dania: " + output.result_description);
                    Console.WriteLine("Potwierdzenie nie jest dostpne");
                }
                else
                {
                    byte[] buf = Convert.FromBase64String(output.cert_content);
                    File.WriteAllBytes("C://certificate.pdf", buf);
                }
            }
            catch (Exception exeption)
            {
                Console.WriteLine("Wystpi bd: " + exeption.Message);
            }
        }
    }
}

